> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone voice

> Clone a voice into the shared Web voice library with existing Web charges.

MCP tool: `podcast_clone_voice`. OAuth scope: `podcast.generate`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/voices/clone
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/voices/clone:
    post:
      tags:
        - Podcast
      summary: clone voice
      description: >-
        Clone a voice into the shared Web voice library with existing Web
        charges.
      operationId: podcast_clone_voice
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.PrjTimbreCloneReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/echo.JSON'
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.PrjTimbreCloneReq:
      properties:
        labels:
          description: 内部音色标签，创建腾讯克隆音色时原样透传
          items:
            type: string
          type: array
        language:
          description: 克隆语种 非必填 中文走海螺，其他走11labs
          type: string
        name:
          type: string
        provider:
          enum:
            - elevenlabs
            - minimax
            - hume_ai
          type: string
        remove_background_noise:
          type: boolean
        scenes:
          description: 内部使用场景，创建腾讯克隆音色时原样透传
          items:
            type: string
          type: array
        url:
          type: string
      required:
        - url
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````